Main Page Widgets glibmm Namespaces Book

# Glib::IOChannelError Class Reference

Exception class for IOChannel errors. More...

Inheritance diagram for Glib::IOChannelError:

[legend]
List of all members.

## Public Types
enum | Code { FILE_TOO_BIG, INVALID_ARGUMENT, IO_ERROR, IS_DIRECTORY, NO_SPACE_LEFT, NO_SUCH_DEVICE, OVERFLOWN, BROKEN_PIPE, FAILED }
## Public Member Functions
| IOChannelError (Code error_code, const Glib::ustring& error_message)
| IOChannelError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for IOChannel errors.

## Member Enumeration Documentation

enum Glib::IOChannelError::Code

Enumerator:

  FILE_TOO_BIG |
  INVALID_ARGUMENT |
  IO_ERROR |
  IS_DIRECTORY |
  NO_SPACE_LEFT |
  NO_SUCH_DEVICE |
  OVERFLOWN |
  BROKEN_PIPE |
  FAILED |

## Constructor & Destructor Documentation

Glib::IOChannelError::IOChannelError | ( | Code | error_code,
|  | const Glib::ustring& | error_message |
| ) |  |  |

Glib::IOChannelError::IOChannelError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Glib::IOChannelError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- iochannel.h